%define upstream_name    Text-CSV_XS
%define upstream_version 0.92

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Comma-separated values manipulation routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Text-CSV_XS is a Perl module that provides facilities for the composition
and decomposition of comma-separated values.  An instance of the Text::CSV
class can combine fields into a CSV string and parse a CSV string into
fields.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 374001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 317766
- update to 0.92

* Fri Aug 31 2012 kharec <kharec> 0.910.0-1.mga3
+ Revision: 286567
- update to 0.91

* Wed Jul 04 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 267516
- update to 0.90

* Tue Jun 05 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 255532
- update to 0.88

* Wed May 30 2012 jquelin <jquelin> 0.860.0-2.mga3
+ Revision: 251222
- rebuild for perl 5.16

* Wed Jan 25 2012 jquelin <jquelin> 0.860.0-1.mga2
+ Revision: 201068
- update to 0.86

* Mon Sep 26 2011 jquelin <jquelin> 0.850.0-1.mga2
+ Revision: 148202
- update to 0.85

* Wed Jun 15 2011 jquelin <jquelin> 0.820.0-1.mga2
+ Revision: 107484
- update to 0.82

* Sun Jun 12 2011 sander85 <sander85> 0.810.0-2.mga2
+ Revision: 105046
- Rebuild for perl 5.14

* Thu Mar 24 2011 jquelin <jquelin> 0.810.0-1.mga1
+ Revision: 76669
- update to 0.81

* Wed Feb 16 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 52234
- update to 0.80

* Mon Jan 24 2011 jquelin <jquelin> 0.760.0-2.mga1
+ Revision: 37349
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.760.0-1.mga1
+ Revision: 15334
- imported package perl-Text-CSV_XS

